
#ifndef _DESPAIR_H_
#define _DESPAIR_H_

#include "base.h"

extern bool InShittyWinblows;

    // Initializators:

extern bool SetWait(dword time);

extern bool InitFlash(dword time);

extern bool InitStrobo(dword time);

extern bool InitFadeOut(dword time);

extern bool ByeBye(dword time);

extern bool InitSplit(dword time);

extern bool FlipPal1(dword time);
extern bool FlipPal2(dword time);

extern bool InvertPal1(dword time);



extern bool InitRipple(dword time);
extern bool EndRipple(dword time);

extern bool InitCircler(dword time);
extern bool EndCircler(dword time);
extern bool ChangeCircler(dword time);

extern bool InitWeave(dword time);
extern bool StopWeave(dword time);
extern bool EndWeave(dword time);
extern bool WeaveNoClear(dword time);


extern bool InitSat(dword time);
extern bool EndSat(dword time);
extern bool BounceSat(dword time);
extern bool SetUseSat(dword time);

extern bool InitPsys(dword time);
extern bool EndPsys(dword time);
extern bool SetUsePsys(dword time);

extern bool InitRT(dword time);
extern bool EndRT(dword time);
extern bool DoRT(dword time);
extern bool SetUseRT(dword time);
extern bool IncRTBalls(dword time);

extern bool InitSq(dword time);
extern bool EndSq(dword time);
extern bool DoSq(dword time);
extern bool BreakSq(dword time);

extern bool DrawFinalPic(dword time);
extern bool DrawDragon(dword time);

extern bool InitFeedback(dword time);
extern bool EndFeedback(dword time);

extern bool LoadTmap32(dword time);
extern bool InitTmap32(dword time);
extern bool EndTmap32(dword time);


    // Utilities.

extern void DoFade(dword time);

extern void SplitDump(void);

extern void EnhancePal(void);



    // Vars.

extern bool MustFade;

extern int FadeSpeed;

extern byte ScrapPal[768], WorkPal[768], DestPal[768];

extern bool (*CurFunction)(dword time);

#endif
